@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*, *::before, *::after {
  box-sizing: border-box;
}

*:not(dialog) {
  margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

#root, #__next {
  isolation: isolate;
}


body {
    font-family: "Roboto", Arial, Helvetica, sans-serif;
}

li {
    list-style: none;
}

span {
    display: block;
}

.container {
    display: grid;
    grid-template-columns: 1fr 4fr;
}

header {
    grid-column: 2;
    grid-row: 1;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 20px;
    padding: 22px 30px;
    align-items: center;
    
}

header .top-nav {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr;
    gap: 100px;
}

header .top-nav > form > p {
    display: grid;
    grid-template-columns: 30px 1fr;
    align-items: center;
}

header .top-nav-content {
    display: grid;
    grid-template-columns: 15% 20% 65%;
    align-items: center;
    justify-self: end;
    gap: 15px;
    margin-right: 20px;
}

header .bottom-nav {
    display: grid;
    grid-template-columns: 2fr 1fr;
    align-items: center;
}

header .bottom-nav > .user-info {
    display: grid;
    grid-template-columns: 10% 50%;
    align-items: center;
}

header .bottom-nav img {
    grid-row: 1 / 3;
    align-self: center;
}

header .bottom-nav > .menu {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 15px;
}

header .bottom-nav > .user-avatar {
    grid-row: 1 / 3;
}


.sidebar {
    grid-column: 1;
    grid-row: 1 / 3;
    display: grid;
    grid-template-rows: 8% repeat(2, 25%);
    gap: 20px;
}

.sidebar > .sidebar-top {
    display: grid;
    grid-template-columns: 40px 40px;
    gap: 15px;
    margin-left: 25px;
    margin-top: 20px;
    align-items: center;
    
}

.sidebar > ul  {
    display: grid;
    grid-template-columns: 40px 40px;
    grid-template-rows: repeat(6, 40px);
    align-items: center;
}

.main-container {
    display: grid;
    grid-template-columns: 2fr 1fr;
}


.main-container main > .card-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px
}

aside {
    display: grid;
    grid-template-rows: 1fr 1fr;
    gap: 20px;
    margin-left: 20px;
}

aside > .aside-container:first-child > .card-container {
    display: grid;
    grid-template-rows: repeat(3, 1fr);
    gap: 15px;
}

main > .card-container > .card > ul {
    display: grid;
    grid-template-columns: repeat(3, 40px);
    justify-content: end;
    font-size: 18px;
}


/* STYLES */
.sidebar {
    background-color: rgb(69, 144,207);
    color: #fff;
    font-size: 18px;
    font-weight: 700;
}


.sidebar-top > .logo {
    font-size: 40px;
}

.sidebar-top > .page-name {
    font-size: 22px;
}

.header {
    background-color: #fff;
}

#search-bar {
    border: none;
    background-color: rgb(227, 231, 240);
    border-radius: 18px 18px;
}

.top-nav-content > img {
    width: 35px;
}

.top-nav-content > .username {
    font-size: 16px;
    font-weight: 700;
}

.top-nav-content .iconify {
    font-size: 18px;
}

.top-nav  > form > p .iconify {
    font-size: 18px;
}

.bottom-nav > .user-info > img {
    width: 50px;
}

.bottom-nav > .user-info span:first-of-type {
    font-size: 14px;
    font-weight: 700;
}
.bottom-nav .username {
    font-size: 20px;
    font-weight: 700;
}

.bottom-nav ul > li {
    background-color: rgb(69, 144,207);
    color: #fff;
    font-size: 16px;
    font-weight: 700;
    border-radius: 18px 18px;
    padding: 5px 10px;
    text-align: center;
}

.main-container {
    padding: 30px;
    background-color: rgb(227, 232, 239);
}

main > .card-container .card {
    background-color: #fff;
    border-radius: 10px;
    border-left: 8px solid orange;
    padding: 30px;
    font-size: 14px;
}

main > .card-container .card > .title {
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 5px;
}

aside > .aside-container >  .card-container {
    background-color: #fff;
    font-size: 13px;
    padding: 35px 0;
    border-radius: 10px;
}

aside > .aside-container >  .card-container .card {
    padding: 0 35px;
}

aside > .aside-container >  .user-list-container {
    background-color: #fff;
    border-radius: 10px;
    padding: 20px 0;
}

aside > .aside-container > .user-list-container > ul {
    display: grid;
    grid-template-columns: 50px 1fr;
    gap: 10px;
}

aside > .aside-container > .user-list-container > ul img {
    width: 35px;
}

aside > .aside-container > .user-list-container > ul span {
    font-size: 14px;
}

.main-container main > .card-container .card {
    display: flex;
    flex-direction: column;
}

.main-container main > .card-container .card > p {
    flex-grow: 1;
}

h2 {
    margin-bottom: 12px;
}